> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Worker Time Tracking Summary

> This endpoint serves the purpose of fetching worker time tracking summary based on unique worker UUID and date.

<Info>
  This endpoint returns a weekly breakdown of a worker's time tracking data for the pay period containing the specified `date`. The response includes daily punch records, per-day stats (regular, overtime, and double-time hours), and aggregated `week_stats` and `pay_period_stats` summaries.
</Info>

<Note>
  The `week` object uses dynamic `YYYY-MM-DD` date keys — one entry per day in the week. Use the `keyArray` field to iterate over days in order.
</Note>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /time-tracking/worker-summary
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /time-tracking/worker-summary:
    get:
      tags:
        - Time Tracking
      summary: Get Worker Time Tracking Summary
      description: >-
        This endpoint serves the purpose of fetching worker time tracking
        summary based on unique worker UUID and date.
      operationId: get-time-tracking-worker-summary
      parameters:
        - schema:
            type: string
            pattern: ^[a-zA-Z0-9]+$
            maxLength: 10
            minLength: 10
          in: query
          name: worker_uuid
          description: Worker UUID
          required: true
        - schema:
            type: string
            format: date
            example: '2020-12-20'
            pattern: ^\d{4}-\d{2}-\d{2}$
          in: query
          name: date
          description: Date
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    weeks:
                      - start_of_week: '2024-02-26'
                        end_of_week: '2024-03-03'
                        start_of_week_nice: Feb 26th
                        end_of_week_nice: Mar 3rd
                        week:
                          '2024-02-26':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-02-27':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-02-28':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-02-29':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-03-01':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-03-02':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          '2024-03-03':
                            punches: []
                            stats:
                              hours: 0
                              minutes: 0
                              ot_hours: 0
                              ot_minutes: 0
                              ot_reason:
                                daily: false
                                weekly: false
                              dt_hours: 0
                              dt_minutes: 0
                              dt_reason:
                                daily: false
                                weekly: false
                              problems: 0
                              total_hours: 0
                              total_minutes: 0
                            too_early: false
                            too_late: false
                            worked: false
                          keyArray:
                            - '2024-02-26'
                            - '2024-02-27'
                            - '2024-02-28'
                            - '2024-02-29'
                            - '2024-03-01'
                            - '2024-03-02'
                            - '2024-03-03'
                          extraData:
                            '2024-02-26':
                              niceDate: Monday February 26th
                            '2024-02-27':
                              niceDate: Tuesday February 27th
                            '2024-02-28':
                              niceDate: Wednesday February 28th
                            '2024-02-29':
                              niceDate: Thursday February 29th
                            '2024-03-01':
                              niceDate: Friday March 1st
                            '2024-03-02':
                              niceDate: Saturday March 2nd
                            '2024-03-03':
                              niceDate: Sunday March 3rd
                          week_stats:
                            total_hours: 0
                            total_minutes: 0
                            hours: 0
                            minutes: 0
                            ot_hours: 0
                            ot_minutes: 0
                            ot_reason:
                              daily: false
                              weekly: false
                            dt_hours: 0
                            dt_minutes: 0
                            dt_reason:
                              daily: false
                              weekly: false
                            r_hours: 0
                            r_minutes: 0
                            r_ot_hours: 0
                            r_ot_minutes: 0
                            r_dt_hours: 0
                            r_dt_minutes: 0
                            problems: 0
                            days_worked: 0
                            finalized_hours: 0
                            finalized_minutes: 0
                            premium_hours: 0
                            premium_minutes: 0
                            premium_dt_hours: 0
                            premium_dt_minutes: 0
                    pay_period_stats:
                      total_hours: 0
                      total_minutes: 0
                      hours: 0
                      minutes: 0
                      ot_hours: 0
                      ot_minutes: 0
                      ot_reason:
                        daily: false
                        weekly: false
                      dt_hours: 0
                      dt_minutes: 0
                      dt_reason:
                        daily: false
                        weekly: false
                      r_hours: 0
                      r_minutes: 0
                      r_ot_hours: 0
                      r_ot_minutes: 0
                      r_dt_hours: 0
                      r_dt_minutes: 0
                      problems: 0
                      days_worked: 0
                      finalized_hours: 0
                      finalized_minutes: 0
                      premium_hours: 0
                      premium_minutes: 0
                      premium_dt_hours: 0
                      premium_dt_minutes: 0
                      total_punches: 0
                      modify_punches: 0
                      delete_punches: 0
                      open_punches: 0
                      pending_punches: 0
                      pending_reimbursements: 0
                    start: Feb 26th
                    start_basic: '2024-02-26'
                    end: Mar 3rd
                    end_basic: '2024-03-03'
                properties:
                  weeks:
                    type: array
                    items:
                      type: object
                      properties:
                        start_of_week:
                          type: string
                          format: date
                          example: YYYY-MM-DD
                        end_of_week:
                          type: string
                          format: date
                          example: YYYY-MM-DD
                        start_of_week_nice:
                          type: string
                        end_of_week_nice:
                          type: string
                        week:
                          type: object
                          properties:
                            '[weekDayDate]':
                              type: object
                              description: '`weekDayDate` is in `YYYY-MM-DD` format'
                              properties:
                                punches:
                                  type: array
                                  items:
                                    type: string
                                stats:
                                  allOf:
                                    - $ref: >-
                                        #/components/schemas/BasicTimeTrackingStats
                                    - type: object
                                      properties:
                                        ot_reason:
                                          type: object
                                          properties:
                                            daily:
                                              type: boolean
                                            weekly:
                                              type: boolean
                                        dt_reason:
                                          type: object
                                          properties:
                                            daily:
                                              type: boolean
                                            weekly:
                                              type: boolean
                                        problems:
                                          type: integer
                                        payroll_groups:
                                          type: object
                                          properties:
                                            '[key]':
                                              allOf:
                                                - $ref: >-
                                                    #/components/schemas/BasicTimeTrackingStats
                                                - type: object
                                                  properties:
                                                    payroll_item_id:
                                                      type: string
                                                      nullable: true
                                                    invoice_cost:
                                                      type: string
                                                      nullable: true
                                        client:
                                          type: object
                                          properties:
                                            '[key]':
                                              allOf:
                                                - $ref: >-
                                                    #/components/schemas/BasicTimeTrackingStats
                                                - type: object
                                                  properties:
                                                    client_invoice_customer_id:
                                                      type: string
                                                      nullable: true
                                        client_payroll_group:
                                          type: object
                                          properties:
                                            '[key]':
                                              allOf:
                                                - $ref: >-
                                                    #/components/schemas/BasicTimeTrackingStats
                                                - type: object
                                                  properties:
                                                    payroll_item_id:
                                                      type: string
                                                      nullable: true
                                                    invoice_cost:
                                                      type: string
                                                      nullable: true
                                                    client_invoice_customer_id:
                                                      type: string
                                                      nullable: true
                                        client_payroll_group_erf:
                                          type: object
                                          properties:
                                            '[key]':
                                              allOf:
                                                - $ref: >-
                                                    #/components/schemas/BasicTimeTrackingStats
                                                - type: object
                                                  properties:
                                                    payroll_item_id:
                                                      type: string
                                                      nullable: true
                                                    invoice_cost:
                                                      type: string
                                                      nullable: true
                                                    client_invoice_customer_id:
                                                      type: string
                                                      nullable: true
                                                    erf_id:
                                                      type: string
                                                      nullable: true
                                        linkedEventsGroup:
                                          type: object
                                          properties:
                                            '[key]':
                                              allOf:
                                                - $ref: >-
                                                    #/components/schemas/BasicTimeTrackingStats
                                                - type: object
                                                  properties:
                                                    payroll_item_id:
                                                      type: string
                                                      nullable: true
                                                    invoice_cost:
                                                      type: string
                                                      nullable: true
                                                    client_invoice_customer_id:
                                                      type: string
                                                      nullable: true
                                                    erf_id:
                                                      type: string
                                                      nullable: true
                                too_early:
                                  type: boolean
                                too_late:
                                  type: boolean
                                worked:
                                  type: boolean
                            keyArray:
                              type: array
                              description: Keys of date for weeks in `YYYY-MM-DD` format
                              items:
                                type: string
                            extraData:
                              type: object
                              properties:
                                '[weekDayDate]':
                                  type: object
                                  description: '`weekDayDate` is in `YYYY-MM-DD` format'
                                  properties:
                                    niceDate:
                                      type: string
                            week_stats:
                              $ref: '#/components/schemas/ExtendedTimeTrackingStats'
                            punches:
                              type: array
                              items:
                                $ref: '#/components/schemas/TimePunchSummary'
                            days_worked:
                              type: integer
                  pay_period_stats:
                    allOf:
                      - $ref: '#/components/schemas/ExtendedTimeTrackingStats'
                      - type: object
                        properties:
                          total_punches:
                            type: integer
                          modify_punches:
                            type: integer
                          delete_punches:
                            type: integer
                          open_punches:
                            type: integer
                          pending_punches:
                            type: integer
                          pending_reimbursements:
                            type: integer
                  start:
                    type: string
                  start_basic:
                    type: string
                    format: date
                    example: YYYY-MM-DD
                  end:
                    type: string
                  end_basic:
                    type: string
                    format: date
                    example: YYYY-MM-DD
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid worker_uuid:
                  value:
                    code: TT-200
                    error: Invalid or missing worker_uuid parameter
                Invalid date:
                  value:
                    code: TT-201
                    error: Invalid or missing date parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: TT-100
                    error: Insufficient permissions to view worker summary
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Worker not found:
                  value:
                    code: TT-300
                    error: Worker not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: TT-400
                    error: An unexpected error occurred
components:
  schemas:
    BasicTimeTrackingStats:
      type: object
      x-examples:
        Example 1:
          total_hours: 4
          total_minutes: 0
          hours: 4
          minutes: 0
          ot_hours: 0
          ot_minutes: 0
          dt_hours: 0
          dt_minutes: 0
          punches:
            - q2nYm
      title: BasicTimeTrackingStats
      properties:
        total_hours:
          type: integer
        total_minutes:
          type: integer
        hours:
          type: integer
        minutes:
          type: integer
        ot_hours:
          type: integer
        ot_minutes:
          type: integer
        dt_hours:
          type: integer
        dt_minutes:
          type: integer
        punches:
          type: array
          items:
            type: string
    ExtendedTimeTrackingStats:
      type: object
      x-examples:
        Example 1:
          total_hours: 4
          total_minutes: 0
          hours: 4
          minutes: 0
          ot_hours: 0
          ot_minutes: 0
          ot_reason:
            daily: false
            weekly: false
          dt_hours: 0
          dt_minutes: 0
          dt_reason:
            daily: false
            weekly: false
          r_hours: 0
          r_minutes: 0
          r_ot_hours: 0
          r_ot_minutes: 0
          r_dt_hours: 0
          r_dt_minutes: 0
          problems: 0
          days_worked: 0
          total_punches: 2
          wages:
            - hours: 4
              minutes: 0
          finalized_hours: 4
          finalized_minutes: 0
          premium_hours: 0
          premium_minutes: 0
          premium_dt_hours: 0
          premium_dt_minutes: 0
      properties:
        total_hours:
          type: integer
        total_minutes:
          type: integer
        hours:
          type: integer
        minutes:
          type: integer
        ot_hours:
          type: integer
        ot_minutes:
          type: integer
        ot_reason:
          type: object
          properties:
            daily:
              type: boolean
            weekly:
              type: boolean
        dt_hours:
          type: integer
        dt_minutes:
          type: integer
        dt_reason:
          type: object
          properties:
            daily:
              type: boolean
            weekly:
              type: boolean
        r_hours:
          type: integer
        r_minutes:
          type: integer
        r_ot_hours:
          type: integer
        r_ot_minutes:
          type: integer
        r_dt_hours:
          type: integer
        r_dt_minutes:
          type: integer
        problems:
          type: integer
        days_worked:
          type: integer
        total_punches:
          type: integer
        wages:
          type: array
          items:
            type: object
            properties:
              hours:
                type: integer
              minutes:
                type: integer
        min_hours_additional:
          type: integer
        min_minutes_additional:
          type: integer
        finalized_hours:
          type: integer
        finalized_minutes:
          type: integer
        premium_hours:
          type: integer
        premium_minutes:
          type: integer
        premium_dt_hours:
          type: integer
        premium_dt_minutes:
          type: integer
      title: ExtendedTimeTrackingStats
    TimePunchSummary:
      type: object
      x-examples:
        Example 1:
          id: QNPdD
          p_id: '3158'
          erf_id: '2205477'
          events_roles_placeholders_id: null
          latitude: null
          longitude: null
          source: Manager
          punch_datetime: '2024-05-03 20:00:00'
          converted_punch_datetime: '2024-05-03 15:00:00'
          status: approved
          manager_id: '3158'
          clock_picture_location: null
          insert_date: '2024-04-30 13:57:28'
          override_max_shift_time: 'N'
          original_datetime: null
          time_change_request: null
          time_change_request_submitted: null
          client_sign_datetime: null
          delete_requested: '0'
          open: '0'
          bad_location: '0'
          ern_id: '1442591'
          client_name: 'Test Client #1'
          client_invoice_customer_id: '0123007'
          client_daily_overtime_cutoff: null
          role_daily_overtime_cutoff: null
          client_daily_doubletime_cutoff: null
          role_daily_doubletime_cutoff: null
          spot_wage: null
          shift_wage: null
          personnel_pay_rate: null
          client_pay_rate: null
          role_pay_rate: null
          spot_billing_rate: null
          shift_billing: null
          personnel_billing_rate: null
          client_billing_rate: null
          role_billing_rate: null
          spot_billing_rate_hourly_type: '0'
          shift_billing_rate_hourly_type: '0'
          spot_wage_hourly_type: '0'
          shift_wage_hourly_type: '0'
          personnel_hourly_type: null
          client_hourly_type: null
          role_hourly_type: null
          daily_overtime_cutoff: null
          daily_doubletime_cutoff: null
          client_advanced_payroll_rules: null
          role_advanced_payroll_rules: null
          first_shift_of_day: '1'
          first_shift_of_day_id: '2205477'
          first_skillset_shift_of_day: '1'
          first_skillset_shift_of_day_id: '2205477'
          rate_cards_id: null
          signature_datetime: null
          travel_hours_before: '0.00'
          travel_hours_after: '0.00'
          signature_name: null
          signature_notes: null
          signature_location: null
          ern_link_id: null
          job_link_id: null
          time_tracking_manager_name: null
          event_name: Hello World
          location_id: '1503'
          location: Arrowhead Stadium
          addy_city: Kansas City
          timezone_name: America/Chicago
          companies_payroll_rulesets_id: null
          payroll_ruleset_display: null
          jobs_id: '677421'
          custom_event_id: ''
          areas: ur834𝔅All Areas
          worker_areas: null
          tags: null
          client_id: hAjwQ
          event_tags: null
          ern_start: '2024-05-03 14:00:00'
          ern_date: '2024-05-03 14:00:00'
          ern_start_date: '2024-05-03'
          nice_ern_start: 2:00 PM
          role_title: Bartender
          ern_end: '2024-05-23 00:00:00'
          payroll_groups_id: gDrT7
          payroll_groups_name: null
          rate_cards_name: null
          payroll_item_id: null
          payroll_groups_deleted: null
          payroll_groups_cost: null
          worker_signature_location: null
          worker_signature_comments: null
          worker_signature_datetime: null
          worker_signature_custom_acknowledgement: null
          payroll_rules_custom: []
          timezone_data: CDT
          nice_shiftedPunch: 15:00 CDT May 3rd
          nice_shiftedPunch_ampm: 3:00 pm CDT May 3rd
          worker_signature_missing: true
          worker_signature_datetime_display: null
          punchDate: '2024-05-03'
          shiftedPunch: '2024-05-03 15:00:00'
          nicePunch: 3:00 pm
          scheduledHours: 466
          clockType: OUT
          in_punch: '2024-05-03 10:00:00'
          min_hours_rules:
            - id: abcde
              new_id: null
              company_id: '1240'
              name: 6 Hours Minimum
              importance: '0'
              conflicts_with: null
              type: minimum_hours
              holiday: null
              day_of_week: null
              date: null
              start_time: null
              end_time: null
              minimum_hours: '6'
              minimum_hours_min_cutoff: null
              minimum_hours_max_cutoff: null
              minimum_hours_first_shift_of_day: '0'
              minimum_hours_first_shift_of_day_skillset: '0'
              shift_length_minimum_hours: '0'
              deleted: '0'
              insert_date: '2019-02-24 18:48:14'
              deleted_date: null
              late_allowance_minutes: null
              start_only: '0'
              punch_start_if_no_ern: '0'
              punch_start_only: '0'
              only_between: '0'
              daily_overtime_hours: null
              daily_doubletime_hours: null
              never_use: '0'
              all_payroll_groups: '1'
              all_locations: '1'
              midnight_reset: null
              min_break_hours: null
              max_break_hours: null
              break_minutes: null
              rounding_interval_minutes: null
              premium_time: '0'
              locations: []
              locations_excluded: []
              payroll_groups: []
              payroll_groups_excluded: []
              holiday_display: null
          difference:
            '2024-05-03':
              hours: 5
              minutes: 0
          possibleDuplicate: false
          brokenDown:
            '2024-05-03':
              hours: 5
              minutes: 0
              ot_hours: 0
              ot_minutes: 0
              dt_hours: 0
              dt_minutes: 0
              min_hours_additional: 1
              min_minutes_additional: 0
              finalized_hours: 6
              finalized_minutes: 0
          brokenDownKeys:
            - '2024-05-03'
          debug:
            punch_id: QNPdD
            endDateKey: '2024-05-05'
            daily_key: '2024-05-03'
            7_day_rule: 1
            day_worked: false
            days_worked: null
            seven_day_required: false
            previous_seven_day_required: false
            post_rules_hours: 5
            post_rules_minutes: 0
            weekly_reg_difference: 35
            daily_reg_difference: 3
            all_regular: 1
            rules:
              reg_1: 1
          too_early_start: '2024-04-29T05:00:00.000000Z'
          too_early_daily: '2024-05-03T05:00:00.000000Z'
          rules:
            - id: abcde
              new_id: null
              company_id: '1240'
              name: 6 Hours Minimum
              importance: '0'
              conflicts_with: null
              type: minimum_hours
              holiday: null
              day_of_week: null
              date: null
              start_time: null
              end_time: null
              minimum_hours: '6'
              minimum_hours_min_cutoff: null
              minimum_hours_max_cutoff: null
              minimum_hours_first_shift_of_day: '0'
              minimum_hours_first_shift_of_day_skillset: '0'
              shift_length_minimum_hours: '0'
              deleted: '0'
              insert_date: '2019-02-24 18:48:14'
              deleted_date: null
              late_allowance_minutes: null
              start_only: '0'
              punch_start_if_no_ern: '0'
              punch_start_only: '0'
              only_between: '0'
              daily_overtime_hours: null
              daily_doubletime_hours: null
              never_use: '0'
              all_payroll_groups: '1'
              all_locations: '1'
              midnight_reset: null
              min_break_hours: null
              max_break_hours: null
              break_minutes: null
              rounding_interval_minutes: null
              premium_time: '0'
              locations: []
              locations_excluded: []
              payroll_groups: []
              payroll_groups_excluded: []
              holiday_display: null
          payrollRules:
            - null
      properties:
        id:
          type: string
        p_id:
          type: string
        erf_id:
          type: string
          nullable: true
        ern_id:
          type: string
          nullable: true
        manager_id:
          type: string
        events_roles_placeholders_id:
          type: string
          nullable: true
        latitude:
          type: string
          nullable: true
        longitude:
          type: string
          nullable: true
        source:
          type: string
        punch_datetime:
          type: string
        converted_punch_datetime:
          type: string
        status:
          type: string
        clock_picture_location:
          type: string
          nullable: true
        insert_date:
          type: string
        override_max_shift_time:
          type: string
        original_datetime:
          type: string
          nullable: true
        time_change_request:
          type: string
          nullable: true
        time_change_request_submitted:
          type: string
          nullable: true
        client_sign_datetime:
          type: string
          nullable: true
        delete_requested:
          type: string
        open:
          type: string
        bad_location:
          type: string
        client_name:
          type: string
        client_invoice_customer_id:
          type: string
        client_daily_overtime_cutoff:
          type: string
          nullable: true
        role_daily_overtime_cutoff:
          type: string
          nullable: true
        client_daily_doubletime_cutoff:
          type: string
          nullable: true
        role_daily_doubletime_cutoff:
          type: string
          nullable: true
        spot_wage:
          type: string
          nullable: true
        shift_wage:
          type: string
          nullable: true
        personnel_pay_rate:
          type: string
          nullable: true
        client_pay_rate:
          type: string
          nullable: true
        role_pay_rate:
          type: string
          nullable: true
        spot_billing_rate:
          type: string
          nullable: true
        shift_billing:
          type: string
          nullable: true
        personnel_billing_rate:
          type: string
          nullable: true
        client_billing_rate:
          type: string
          nullable: true
        role_billing_rate:
          type: string
          nullable: true
        spot_billing_rate_hourly_type:
          type: string
        shift_billing_rate_hourly_type:
          type: string
        spot_wage_hourly_type:
          type: string
        shift_wage_hourly_type:
          type: string
        personnel_hourly_type:
          type: string
          nullable: true
        client_hourly_type:
          type: string
          nullable: true
        role_hourly_type:
          type: string
          nullable: true
        daily_overtime_cutoff:
          type: string
          nullable: true
        daily_doubletime_cutoff:
          type: string
          nullable: true
        client_advanced_payroll_rules:
          type: string
          nullable: true
        role_advanced_payroll_rules:
          type: string
          nullable: true
        first_shift_of_day:
          type: string
        first_shift_of_day_id:
          type: string
        first_skillset_shift_of_day:
          type: string
        first_skillset_shift_of_day_id:
          type: string
        rate_cards_id:
          type: string
          nullable: true
        signature_datetime:
          type: string
          nullable: true
        travel_hours_before:
          type: string
        travel_hours_after:
          type: string
        signature_name:
          type: string
          nullable: true
        signature_notes:
          type: string
          nullable: true
        signature_location:
          type: string
          nullable: true
        ern_link_id:
          type: string
          nullable: true
        job_link_id:
          type: string
          nullable: true
        time_tracking_manager_name:
          type: string
          nullable: true
        event_name:
          type: string
        location_id:
          type: string
        location:
          type: string
        addy_city:
          type: string
        timezone_name:
          type: string
        companies_payroll_rulesets_id:
          type: string
          nullable: true
        payroll_ruleset_display:
          type: string
          nullable: true
        jobs_id:
          type: string
        custom_event_id:
          type: string
        areas:
          type: string
        worker_areas:
          type: array
          nullable: true
          items:
            type: string
        tags:
          type: array
          nullable: true
          items:
            type: string
        client_id:
          type: string
        event_tags:
          type: array
          nullable: true
          items:
            type: string
        ern_start:
          type: string
        ern_date:
          type: string
        ern_start_date:
          type: string
        nice_ern_start:
          type: string
        role_title:
          type: string
        ern_end:
          type: string
        payroll_groups_id:
          type: string
        payroll_groups_name:
          type: string
          nullable: true
        rate_cards_name:
          type: string
          nullable: true
        payroll_item_id:
          type: string
          nullable: true
        payroll_groups_deleted:
          type: string
          nullable: true
        payroll_groups_cost:
          type: string
          nullable: true
        worker_signature_location:
          type: string
          nullable: true
        worker_signature_comments:
          type: string
          nullable: true
        worker_signature_datetime:
          type: string
          nullable: true
        worker_signature_custom_acknowledgement:
          type: string
          nullable: true
        payroll_rules_custom:
          type: array
          items:
            type: object
        timezone_data:
          type: string
        nice_shiftedPunch:
          type: string
        nice_shiftedPunch_ampm:
          type: string
        worker_signature_missing:
          type: boolean
        worker_signature_datetime_display:
          type: string
          nullable: true
        punchDate:
          type: string
        shiftedPunch:
          type: string
        nicePunch:
          type: string
        scheduledHours:
          type: integer
        clockType:
          type: string
        in_punch:
          type: string
        min_hours_rules:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              new_id:
                type: string
                nullable: true
              company_id:
                type: string
              name:
                type: string
              importance:
                type: string
              conflicts_with:
                type: string
                nullable: true
              type:
                type: string
              holiday:
                type: string
                nullable: true
              day_of_week:
                type: string
                nullable: true
              date:
                type: string
                nullable: true
              start_time:
                type: string
                nullable: true
              end_time:
                type: string
                nullable: true
              minimum_hours:
                type: string
              minimum_hours_min_cutoff:
                type: string
                nullable: true
              minimum_hours_max_cutoff:
                type: string
                nullable: true
              minimum_hours_first_shift_of_day:
                type: string
              minimum_hours_first_shift_of_day_skillset:
                type: string
              shift_length_minimum_hours:
                type: string
              deleted:
                type: string
              insert_date:
                type: string
              deleted_date:
                type: string
                nullable: true
              late_allowance_minutes:
                type: string
                nullable: true
              start_only:
                type: string
              punch_start_if_no_ern:
                type: string
              punch_start_only:
                type: string
              only_between:
                type: string
              daily_overtime_hours:
                type: string
                nullable: true
              daily_doubletime_hours:
                type: string
                nullable: true
              never_use:
                type: string
              all_payroll_groups:
                type: string
              all_locations:
                type: string
              midnight_reset:
                type: string
                nullable: true
              min_break_hours:
                type: string
                nullable: true
              max_break_hours:
                type: string
                nullable: true
              break_minutes:
                type: string
                nullable: true
              rounding_interval_minutes:
                type: string
                nullable: true
              premium_time:
                type: string
              locations:
                type: array
                items:
                  type: object
              locations_excluded:
                type: array
                items:
                  type: object
              payroll_groups:
                type: array
                items:
                  type: object
              payroll_groups_excluded:
                type: array
                items:
                  type: object
              holiday_display:
                type: string
                nullable: true
        difference:
          type: object
          properties:
            '[weekDayDate]':
              type: object
              description: '`weekDayDate` is in `YYYY-MM-DD` format'
              properties:
                hours:
                  type: integer
                minutes:
                  type: integer
        possibleDuplicate:
          type: boolean
        brokenDown:
          type: object
          properties:
            '[weekDayDate]':
              $ref: '#/components/schemas/BasicTimeTrackingStats'
        brokenDownKeys:
          type: array
          items:
            type: string
        too_early_start:
          type: string
        too_early_daily:
          type: string
        rules:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              new_id:
                type: string
                nullable: true
              company_id:
                type: string
              name:
                type: string
              importance:
                type: string
              conflicts_with:
                type: string
                nullable: true
              type:
                type: string
              holiday:
                type: string
                nullable: true
              day_of_week:
                type: string
                nullable: true
              date:
                type: string
                nullable: true
              start_time:
                type: string
                nullable: true
              end_time:
                type: string
                nullable: true
              minimum_hours:
                type: string
              minimum_hours_min_cutoff:
                type: string
                nullable: true
              minimum_hours_max_cutoff:
                type: string
                nullable: true
              minimum_hours_first_shift_of_day:
                type: string
              minimum_hours_first_shift_of_day_skillset:
                type: string
              shift_length_minimum_hours:
                type: string
              deleted:
                type: string
              insert_date:
                type: string
              deleted_date:
                type: string
                nullable: true
              late_allowance_minutes:
                type: string
                nullable: true
              start_only:
                type: string
              punch_start_if_no_ern:
                type: string
              punch_start_only:
                type: string
              only_between:
                type: string
              daily_overtime_hours:
                type: string
                nullable: true
              daily_doubletime_hours:
                type: string
                nullable: true
              never_use:
                type: string
              all_payroll_groups:
                type: string
              all_locations:
                type: string
              midnight_reset:
                type: string
                nullable: true
              min_break_hours:
                type: string
                nullable: true
              max_break_hours:
                type: string
                nullable: true
              break_minutes:
                type: string
                nullable: true
              rounding_interval_minutes:
                type: string
                nullable: true
              premium_time:
                type: string
              locations:
                type: array
                items:
                  type: object
              locations_excluded:
                type: array
                items:
                  type: object
              payroll_groups:
                type: array
                items:
                  type: object
              payroll_groups_excluded:
                type: array
                items:
                  type: object
              holiday_display:
                type: string
                nullable: true
        payrollRules:
          type: array
          items:
            type: object
      title: TimePunchSummary
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````